<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" href="assets/static/images/favicon.ico" type="image/x-icon">
    <link rel="icon" href="assets/static/images/favicon.ico" type="image/x-icon">
    <title>Visualization</title>
    <style>
      #loader {
        transition: all 0.3s ease-in-out;
        opacity: 1;
        visibility: visible;
        position: fixed;
        height: 100vh;
        width: 100%;
        background: #fff;
        z-index: 90000;
      }

      #loader.fadeOut {
        opacity: 0;
        visibility: hidden;
      }



      .spinner {
        width: 40px;
        height: 40px;
        position: absolute;
        top: calc(50% - 20px);
        left: calc(50% - 20px);
        background-color: #333;
        border-radius: 100%;
        -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
        animation: sk-scaleout 1.0s infinite ease-in-out;
      }

      @-webkit-keyframes sk-scaleout {
        0% { -webkit-transform: scale(0) }
        100% {
          -webkit-transform: scale(1.0);
          opacity: 0;
        }
      }

      @keyframes sk-scaleout {
        0% {
          -webkit-transform: scale(0);
          transform: scale(0);
        } 100% {
          -webkit-transform: scale(1.0);
          transform: scale(1.0);
          opacity: 0;
        }
      }
    </style>
  </head>
  <body class="app js-charts-module">
    <!-- @TOC -->
    <!-- =================================================== -->
    <!--
      + @Page Loader
      + @App Content
          - #Left Sidebar
              > $Sidebar Header
              > $Sidebar Menu

          - #Main
              > $Topbar
              > $App Screen Content
    -->

    <!-- @Page Loader -->
    <!-- =================================================== -->
    <div id='loader'>
      <div class="spinner"></div>
    </div>

    <script>
      window.addEventListener('load', () => {
        const loader = document.getElementById('loader');
        setTimeout(() => {
          loader.classList.add('fadeOut');
        }, 300);
      });
    </script>

    <!-- @App Content -->
    <!-- =================================================== -->
    <div>
      <!-- #Left Sidebar ==================== -->
      <div class="sidebar">
        <div class="sidebar-inner">
          <!-- ### $Sidebar Header ### -->
          <div class="sidebar-logo">
            <div class="peers ai-c fxw-nw">
              <div class="peer peer-greed">
                <a class="sidebar-link td-n" href="index.html">
                  <div class="peers ai-c fxw-nw">
                    <div class="peer">
                      <div class="logo">
                        <img src="assets/static/images/logo.png" alt="">
                      </div>
                    </div>
                    <div class="peer peer-greed">
                      <h5 class="lh-1 mB-0 logo-text">SJ FRONTEND</h5>
                    </div>
                  </div>
                </a>
              </div>
              <div class="peer">
                <div class="mobile-toggle sidebar-toggle">
                  <a href="" class="td-n">
                    <i class="ti-arrow-circle-left"></i>
                  </a>
                </div>
              </div>
            </div>
          </div>

          <!-- ### $Sidebar Menu ### -->
          <ul class="sidebar-menu scrollable pos-r">
            <li class="nav-item mT-30 active">
              <a class="sidebar-link" href="index.html">
                <span class="icon-holder">
                  <i class="c-blue-500 ti-home"></i>
                </span>
                <span class="title">Dashboard</span>
              </a>
            </li>
            <li class="nav-item">
              <a class='sidebar-link' href="charts.html">
                <span class="icon-holder">
                  <i class="c-indigo-500 ti-bar-chart"></i>
                </span>
                <span class="title">Visualization</span>
              </a>
            </li>
            <li class="nav-item">
              <a class='sidebar-link' href="todos.html">
                <span class="icon-holder">
                  <i class="c-indigo-500 ti-clipboard"></i>
                </span>
                <span class="title">To-dos</span>
              </a>
            </li>
          </ul>
        </div>
      </div>

      <!-- #Main ============================ -->
      <div class="page-container">
        <!-- ### $Topbar ### -->
        <div class="header navbar">
          <div class="header-container">
            <ul class="nav-left">
              <li>
                <a id='sidebar-toggle' class="sidebar-toggle" href="javascript:void(0);">
                  <i class="ti-menu"></i>
                </a>
              </li>
            </ul>
          </div>
        </div>

        <!-- ### $App Screen Content ### -->
        <main class='main-content bgc-grey-100'>
          <div id='mainContent'>
            <div class="row gap-20 masonry pos-r">
              <div class="masonry-sizer col-md-6 pos-a"></div>
              <div class="masonry-item w-100 p-20">
                <div class="bgc-white p-20 bd">
                  <h6 class="c-grey-900">Productivity Indication</h6>
                  <div class="mT-30">
                    <canvas id="js-productivity-linechart" height="480"></canvas>
                  </div>
                </div>
              </div>
              <!-- <div class="masonry-item col-md-6">
                <div class="bgc-white p-20 bd">
                  <h6 class="c-grey-900">Area Chart</h6>
                  <div class="mT-30">
                    <canvas id="area-chart" height="220"></canvas>
                  </div>
                </div>
              </div> -->
              <!-- <div class="masonry-item col-md-6">
                <div class="bgc-white p-20 bd">
                  <h6 class="c-grey-900">Scatter Chart</h6>
                  <div class="mT-30">
                    <canvas id="scatter-chart" height="220"></canvas>
                  </div>
                </div>
              </div> -->
              <!-- <div class="masonry-item col-md-6">
                <div class="bgc-white p-20 bd">
                  <h6 class="c-grey-900">Bar Chart</h6>
                  <div class="mT-30">
                    <canvas id="bar-chart" height="220"></canvas>
                  </div>
                </div>
              </div> -->
              <!-- <div class="masonry-item col-md-6">
                <div class="bgc-white p-20 bd">
                  <h6 class="c-grey-900">jQuery Sparkline</h6>
                  <div class="mT-30">
                    <div class="peers ai-c jc-sb fxw-nw bdB pY-15">
                      <div class="peer">
                        <span>Spark Line</span>
                      </div>
                      <div class="peer">
                        <span class="sparkline">&nbsp;</span>
                      </div>
                    </div>
                    <div class="peers ai-c jc-sb fxw-nw bdB pY-15">
                      <div class="peer">
                        <span>Spark Bar</span>
                      </div>
                      <div class="peer">
                        <span class="sparkbar">&nbsp;</span>
                      </div>
                    </div>
                    <div class="peers ai-c jc-sb fxw-nw bdB pY-15">
                      <div class="peer">
                        <span>Spark Tristate</span>
                      </div>
                      <div class="peer">
                        <span class="sparktri">&nbsp;</span>
                      </div>
                    </div>
                    <div class="peers ai-c jc-sb fxw-nw bdB pY-15">
                      <div class="peer">
                        <span>Spark Discrete</span>
                      </div>
                      <div class="peer">
                        <span class="sparkdisc">&nbsp;</span>
                      </div>
                    </div>
                    <div class="peers ai-c jc-sb fxw-nw bdB pY-15">
                      <div class="peer">
                        <span>Spark Bullet</span>
                      </div>
                      <div class="peer">
                        <span class="sparkbull">&nbsp;</span>
                      </div>
                    </div>
                    <div class="peers ai-c jc-sb fxw-nw pT-15">
                      <div class="peer">
                        <span>Spark Box</span>
                      </div>
                      <div class="peer">
                        <span class="sparkbox">&nbsp;</span>
                      </div>
                    </div>
                  </div>
                </div>
              </div> -->
              <!-- <div class="masonry-item col-md-6">
                <div class="bgc-white p-20 bd">
                  <h6 class="c-grey-900">Easy Pie Charts</h6>
                  <div class="mT-30">
                    <div class="peers mT-20 fxw-nw@lg+ jc-sb ta-c gap-10">
                      <div class="peer">
                        <div class="easy-pie-chart" data-size='80' data-percent="75" data-bar-color='#f44336'>
                          <span></span>
                        </div>
                        <h6 class="fsz-sm">New Users</h6>
                      </div>
                      <div class="peer">
                        <div class="easy-pie-chart" data-size='80' data-percent="50" data-bar-color='#2196f3'>
                          <span></span>
                        </div>
                        <h6 class="fsz-sm">New Purchases</h6>
                      </div>
                      <div class="peer">
                        <div class="easy-pie-chart" data-size='80' data-percent="65" data-bar-color='#f44336'>
                          <span></span>
                        </div>
                        <h6 class="fsz-sm">New Customers</h6>
                      </div>
                      <div class="peer">
                        <div class="easy-pie-chart" data-size='80' data-percent="90" data-bar-color='#ff9800'>
                          <span></span>
                        </div>
                        <h6 class="fsz-sm">Bounce Rate</h6>
                      </div>
                    </div>
                  </div>
                </div>
              </div> -->
            </div>
          </div>
        </main>

        <!-- ### $App Screen Footer ### -->
        <footer class="bdT ta-c p-30 lh-0 fsz-sm c-grey-600">
          <span>© <a href="https://colorlib.com" target='_blank' title="Colorlib">Colorlib</a> and Steve</span>
        </footer>
      </div>
    </div>
  </body>
</html>
